# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfacePatch Class Reference

`#include <StepGeom_SurfacePatch.hxx>`

## Public Member Functions

Standard_EXPORT | StepGeom_SurfacePatch ()
| Returns a SurfacePatch .
virtual Standard_EXPORT void | Init (const Handle(StepGeom_BoundedSurface)&aParentSurface, const StepGeom_TransitionCode aUTransition, const StepGeom_TransitionCode aVTransition, const Standard_Boolean aUSense, const Standard_Boolean aVSense)
Standard_EXPORT void | SetParentSurface (const Handle(StepGeom_BoundedSurface)&aParentSurface)
Standard_EXPORT Handle_StepGeom_BoundedSurface | ParentSurface () const
Standard_EXPORT void | SetUTransition (const StepGeom_TransitionCode aUTransition)
Standard_EXPORT StepGeom_TransitionCode | UTransition () const
Standard_EXPORT void | SetVTransition (const StepGeom_TransitionCode aVTransition)
Standard_EXPORT StepGeom_TransitionCode | VTransition () const
Standard_EXPORT void | SetUSense (const Standard_Boolean aUSense)
Standard_EXPORT Standard_Boolean | USense () const
Standard_EXPORT void | SetVSense (const Standard_Boolean aVSense)
Standard_EXPORT Standard_Boolean | VSense () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_BoundedSurface | parentSurface
StepGeom_TransitionCode | uTransition
StepGeom_TransitionCode | vTransition
Standard_Boolean | uSense
Standard_Boolean | vSense

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfacePatch::StepGeom_SurfacePatch | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_SurfacePatch::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepGeom_SurfacePatch::Init | ( | const Handle(StepGeom_BoundedSurface)& | aParentSurface,
|  | const StepGeom_TransitionCode | aUTransition,
|  | const StepGeom_TransitionCode | aVTransition,
|  | const Standard_Boolean | aUSense,
|  | const Standard_Boolean | aVSense
| ) | `[virtual]`

Standard_EXPORT Handle_StepGeom_BoundedSurface StepGeom_SurfacePatch::ParentSurface | ( |  | ) | const

Standard_EXPORT void StepGeom_SurfacePatch::SetParentSurface | ( | const Handle(StepGeom_BoundedSurface)& | aParentSurface | ) |

Standard_EXPORT void StepGeom_SurfacePatch::SetUSense | ( | const Standard_Boolean | aUSense | ) |

Standard_EXPORT void StepGeom_SurfacePatch::SetUTransition | ( | const StepGeom_TransitionCode | aUTransition | ) |

Standard_EXPORT void StepGeom_SurfacePatch::SetVSense | ( | const Standard_Boolean | aVSense | ) |

Standard_EXPORT void StepGeom_SurfacePatch::SetVTransition | ( | const StepGeom_TransitionCode | aVTransition | ) |

Standard_EXPORT Standard_Boolean StepGeom_SurfacePatch::USense | ( |  | ) | const

Standard_EXPORT StepGeom_TransitionCode StepGeom_SurfacePatch::UTransition | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_SurfacePatch::VSense | ( |  | ) | const

Standard_EXPORT StepGeom_TransitionCode StepGeom_SurfacePatch::VTransition | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BoundedSurface StepGeom_SurfacePatch::parentSurface `[private]`

Standard_Boolean StepGeom_SurfacePatch::uSense `[private]`

StepGeom_TransitionCode StepGeom_SurfacePatch::uTransition `[private]`

Standard_Boolean StepGeom_SurfacePatch::vSense `[private]`

StepGeom_TransitionCode StepGeom_SurfacePatch::vTransition `[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfacePatch.hxx